Venue Groups

This endpoint is used for managing venue group data

Get marketing preferences

get
/venue-groups/{venueGroupId}/marketing-preferences

Returns an array of marketing preferences which have been set up for the given venue group.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
venueGroupIdstringRequired

The venue group ID to retrieve marketing preferences for

Responses
chevron-right
200

The marketing preferences were successfully retrieved

application/json
idstringOptional

The ID of this marketing preference

Example: 5b0743f00000000000000000
namestringOptional

The name of this marketing preference

Example: SMS
descriptionstringOptional

A description of this marketing preference

Example: I am happy for Test Venue to contact me over SMS for exclusive offers
created_datestring · dateOptional

The date when this marketing preference was created

Example: 2019-03-13 22:09:30
get
/venue-groups/{venueGroupId}/marketing-preferences
200

The marketing preferences were successfully retrieved

Last updated

Was this helpful?